(set-option :produce-models true)
(set-option :opt.priority box)

(declare-fun x () Real)
(declare-fun y () Int)
(assert (< 72 x))
(assert (< (- 92) y))

; push multiple objectives
(minimize (+ x y))
(maximize (+ x y))

; optimize
(check-sat)

; print models
(set-model -2)
(get-model)
(set-model -1)
(get-model)

(exit)
